#include <iostream>
#include <vector>

using namespace std;

int main()
{
	int n, l, i, br = -1;
	vector<int> h;

	cin >> n >> l;

	h.resize(n + 1);

	for (i = 1; i <= n; i++)
		cin >> h[i];

	for (i = 1; i <= n; i++)
	{
		if (h[i] <= l && br == -1)
			br = i;
	}

	cout << br << endl;
}